## kpim6-pimcommon 25.08.1+p24.04+vstable+git20250916.0400

=== debian/changelog ===
kpim6-pimcommon (4:25.08.1+p24.04+vstable+git20250916.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 04:00:35 +0000
