## kpim6-pimcommon 25.08.1+p24.04+vstable+git20250928.1338

=== debian/changelog ===
kpim6-pimcommon (4:25.08.1+p24.04+vstable+git20250928.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:38:22 +0000
