## kpim6-pimcommon 25.08.2

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 22:55:39 +0000

kpim6-pimcommon (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:02:44 +0000
