=== debian/control ===
Source: kpim6-pimcommon
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-knewstuff-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-grantleetheme-dev,
               kpim6-kimap-dev,
               kpim6-kldap-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pimcommon.git
Vcs-Browser: https://invent.kde.org/neon/kde/pimcommon
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-pimcommon
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: plasma-activities, ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6pimcommonakonadi6abi1
Replaces: libkf5pimcommon-data,
          libkf5pimcommon-plugins,
          libkf5pimcommon5,
          libkf5pimcommon5abi2,
          libkf5pimcommonakonadi5,
          libkf5pimcommonakonadi5abi1,
          libkf5pimcommonautocorrection5,
          libkpim6pimcommon-data,
          libkpim6pimcommon-plugins,
          libkpim6pimcommon6,
          libkpim6pimcommonakonadi6,
          libkpim6pimcommonakonadi6abi1,
          libkpim6pimcommonautocorrection6
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: kpim6-pimcommon-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kconfig-dev,
         kf6-kcontacts-dev,
         kf6-ktextaddons-dev,
         kf6-ktextwidgets-dev,
         kpim6-akonadi-contacts-dev,
         kpim6-akonadi-dev,
         kpim6-grantleetheme-dev,
         kpim6-kimap-dev,
         kpim6-kpimtextedit-dev,
         kpim6-libkdepim-dev,
         kpim6-pimcommon (= ${binary:Version}),
         plasma-activities-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5pimcommon-dev, libkpim6pimcommon-dev
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommonakonadi6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon6abi2
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommonautocorrection6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-data
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-dev
Architecture: all
Depends: kpim6-pimcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-plugins
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5pimcommon5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5pimcommonakonadi5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon6abi1
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommonautocorrection5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-data
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-dev
Architecture: all
Depends: kpim6-pimcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-plugins
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
