## kpim6-pimcommon 25.08.2+p24.04+vstable+git20251019.0754

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vstable+git20251019.0754-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:54:24 +0000
