## kpim6-pimcommon 25.08.2+p24.04+vstable+git20251025.0024

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vstable+git20251025.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:24:14 +0000
