## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251013.0608

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251013.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 06:08:42 +0000
