=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251015.1928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:28:16 +0000
