## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251020.2345

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251020.2345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 23:45:23 +0000
