## kpim6-pimcommon 25.08.3

=== debian/changelog ===
kpim6-pimcommon (4:25.08.3-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:28 +0000

kpim6-pimcommon (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:35 +1000
