## kpim6-pimcommon 25.08.3+p24.04+vunstable+git20251203.0419

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.41")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -58,14 +57,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
-set(KIMAP_LIB_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(AKONADI_SEARCH_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
+
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -162,12 +161,6 @@
 set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
 configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)
 
-option(
-    ENABLE_WARN_OUTDATED
-    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
-    ON
-)
-
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
     find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
@@ -176,7 +169,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -192,7 +185,7 @@
 endif()
 if(OPTION_USE_PLASMA_ACTIVITIES)
     if(NOT WIN32 AND NOT APPLE)
-        set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
+        set(PLASMAACTIVITIES_MIN_VERSION "6.4.0")
         find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
         set_package_properties(
             PlasmaActivities
@@ -205,10 +198,6 @@
     endif()
 endif()
 
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
-
 add_subdirectory(src)
 ecm_qt_install_logging_categories(
         EXPORT PIMCOMMON
