=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251203.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 04:19:13 +0000
