=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251206.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:04:56 +0000
