=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251208.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 04:18:09 +0000
