## kpim6-pimcommon 25.12.0

=== debian/changelog ===
kpim6-pimcommon (4:25.12.0-0zneon+24.04+noble+release+build46) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:38:44 +0000

kpim6-pimcommon (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:35 +1000
