=== debian/changelog ===
kpim6-pimcommon (4:25.12.0+p24.04+vstable+git20251222.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 06:11:57 +0000
