## kpim6-pimcommon 25.12.0+p24.04+vstable+git20251231.0350

=== debian/changelog ===
kpim6-pimcommon (4:25.12.0+p24.04+vstable+git20251231.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:50:52 +0000
